org.codehaus.plexus.component.builder

## Interface ComponentBuilder<T>

All Known Implementing Classes:
  XBeanComponentBuilder

    public interface ComponentBuilder<T>

### Method Summary

Methods
`T` `build(ComponentDescriptor<T> descriptor, org.codehaus.plexus.classworlds.realm.ClassRealm realm, ComponentBuildListener listener)`

### Method Detail

#### build

    T build(ComponentDescriptor<T> descriptor,
          org.codehaus.plexus.classworlds.realm.ClassRealm realm,
          ComponentBuildListener listener)
            throws ComponentInstantiationException,
                   ComponentLifecycleException

Throws:
  `ComponentInstantiationException`
  `ComponentLifecycleException`